import 'package:flutter/material.dart';

class VideoSlider extends StatelessWidget {
  const VideoSlider(
      {super.key,
      required this.currentPosition,
      required this.child,
      required this.videoDuration,
      this.data});

  final String currentPosition;
  final SliderThemeData? data;
  final Widget child;
  final String videoDuration;

  @override
  Widget build(BuildContext context) {
    return Column(crossAxisAlignment: CrossAxisAlignment.start, children: [
      Text('$currentPosition / $videoDuration',
          style: const TextStyle(
              color: Colors.white, fontWeight: FontWeight.bold)),
      SliderTheme(
          data: data ??
              SliderThemeData(
                  overlayShape: SliderComponentShape.noOverlay,
                  activeTrackColor: Colors.white,
                  inactiveTrackColor: Colors.grey.withOpacity(0.5),
                  thumbColor: Colors.white),
          child: child)
    ]);
  }
}
